Last updated: Jun 18, 2026

Planned Job Orders (Scheduled Works)

Scheduled Works (Preventive Maintenance)link

Planned Job Orders, called "Scheduled Works" in the API, represent planned preventive maintenance tasks. Unlike Failures (corrective work orders), these are proactively created based on maintenance schedules.

Overviewlink

Scheduled Works are used for:

  • Recurring inspections - Periodic asset checks
  • Preventive maintenance - Periodic part replacement
  • Compliance tasks - Periodic safety certifications
  • Condition-based maintenance - Triggered by sensor/manual readings

Scheduled Work Objectlink

{
    "type": "scheduled_work",
    "id": "167480374",
    "attributes": {
        "complete_date": "2026-03-06 10:06:48",
        "cost_center_name": null,
        "completed_by_id": 106567,
        "completed_percentage": 26,
        "completed_date": "2026-03-06 10:06:48",
        "confirmed": false,
        "failure_id": null,
        "last_status_change_date": "2026-03-06 10:06:48",
        "last_status_change_operator": "John Doe",
        "manpower_duration": "P0Y0M0DT0H21M55S",
        "manpower_cost": "0.00",
        "observation": null,
        "real_start_date": "2025-11-19 10:15:58",
        "running": false,
        "schedule_work_id": 167480374,
        "signature_status": "NOT_SIGNED",
        "start_date": "2025-11-01 09:00:00",
        "started_by_id": 173,
        "state": "COMPLETED",
        "time_running": "P0Y0M0DT0H21M55S",
        "visit": 11,
        "work_id": 3563989,
        "next_sla_date": null,
        "next_sla_percentage": null,
        "next_scheduled_work_sla_id": null,
        "next_scheduled_work_sla_date": null,
        "next_scheduled_work_sla_status_order": null,
        "rescheduled_by_user": false,
        "updated_at": "2026-03-06 10:06:48",
        "estimated_duration_absolute_deviation": 98,
        "estimated_duration_relative_deviation": 98,
        "display_start_date": "2025-11-19 10:15:58",
        "display_complete_date": "2026-03-06 10:06:48",
        "pause_reason_id": null,
        "last_status_description": null,
        "original_start_date": "2025-11-01 09:00:00"
    }
}

Key Attributeslink

Attribute Type Description
status string Current status
start_date datetime Date it was scheduled to start
real_start_date datetime Actual start date
completed_date datetime Completion date
manpower_cost number Labour cost
manpower_duration string Duration in ISO 8601 format
observation string Notes and observations

Schedule Work Stateslink

See Scheduled Work (Planned Job Order) Lifecycle for more details.

Quick Referencelink

Method Endpoint Description
GET /works/scheduled List scheduled works
GET /works/scheduled/{id} Get a specific scheduled work
PATCH /works/scheduled/{id} Update a scheduled work

List Scheduled Workslink

Basic Requestlink

curl -X GET "https://api.infraspeak.com/v3/works/scheduled" \
  -H "Authorization: Bearer YOUR_TOKEN"

With Filterslink

# Filter by status
curl "https://api.infraspeak.com/v3/works/scheduled?s_status=COMPLETED" \
  -H "Authorization: Bearer YOUR_TOKEN"

# Filter by scheduled date range
curl "https://api.infraspeak.com/v3/works/scheduled?date_min_start_date=2026-06-01&date_max_start_date=2026-06-30" \
  -H "Authorization: Bearer YOUR_TOKEN"

With Sortinglink

# Sort by scheduled date (ascending)
curl "https://api.infraspeak.com/v3/works/scheduled?sort=start_date" \
  -H "Authorization: Bearer YOUR_TOKEN"

With Expanded Relationshipslink

curl "https://api.infraspeak.com/v3/works/scheduled?expanded=work" \
  -H "Authorization: Bearer YOUR_TOKEN"